;==========Get_byte by Donald Straney==========
;
;Gets byte from PIC
;
;Inputs: (num_bits = # of bits to shift in)
;Outputs: a = received byte
;Hardware: red wire = data
;          white wire = clock
;Notes: clock supplied by calc, data shifted in on rising edge of clock, MSB first
;

Get_Byte:
	ld b,num_bits
Get_Byte_Loop:
	ld a,$fc
	out (7),a
	call Delay
	ld a,$c0
	out (7),a
	call Delay
	in a,(7)
	and $0f
	cp $03
	jr z,Get_Byte_Got_1
Get_Byte_Got_0:
	res 0,c
	jr Get_Byte_End_Loop
Get_Byte_Got_1:
	set 0,c
Get_Byte_End_Loop:
	rl c
	djnz Get_Byte_Loop
	ld a,$fc
	out (7),a
	ld a,c
	rra
	ret