;==========Send_byte by Donald Straney==========
;
;Sends byte to PIC
;
;Inputs: (num_bits = # of bits to shift out)
;        a = byte to send
;Outputs: (byte sent)
;Hardware: red wire = data
;          white wire = clock
;Notes: clock supplied by calc, data shifted out on rising edge of clock, MSB first
;

Send_Byte:
	ld b,num_bits
Send_Byte_Loop:
	ld a,$fc
	out (7),a
	ld c,a
	rla
	bit 7,c
	jr z,Send_0
Send_1:
	ld a,$c0
	out (7),a
	jr Send_Byte_Finish_Send
Send_0:
	ld a,$d4
	out (7),a
Send_Byte_Finish_Send:
	call Delay
	djnz Send_Byte_Loop
	ld a,$fc
	out (7),a
	ret